## mesa-lts-vivid 10.5.9-2ubuntu1~trusty2

=== doxygen/Makefile ===

default: full

all: full subset

%.tag: %.doxy
	doxygen $<

FULL = \
	main.doxy \
	math.doxy \
	vbo.doxy \
	glapi.doxy \
	glsl.doxy \
	shader.doxy \
	swrast.doxy \
	swrast_setup.doxy \
	tnl.doxy \
	tnl_dd.doxy \
	gbm.doxy \
	i965.doxy

full: $(FULL:.doxy=.tag)
	$(foreach FILE,$(FULL),doxygen $(FILE);)

SUBSET = \
	main.doxy \
	math.doxy

subset: $(SUBSET:.doxy=.tag)
	$(foreach FILE,$(SUBSET),doxygen $(FILE);)

clean:
	-rm -rf $(FULL:.doxy=) $(SUBSET:.doxy=)
	-rm -rf *.tag

=== src/gallium/drivers/nouveau/nvc0/mme/Makefile ===
ENVYAS?=envyas
TARGETS=com9097.mme.h

all: $(TARGETS)

$(TARGETS): %.mme.h: %.mme
	$(ENVYAS) -a -w -mmacro $< -o $@

=== debian/changelog ===
mesa-lts-vivid (10.5.9-2ubuntu1~trusty2) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Aug 2015 21:37:31 +0300

mesa (10.5.9-2ubuntu1~vivid2) vivid; urgency=medium

  * skl-dont-use-the-pma-depth-stall-workaround.diff: Fix GPU hangs in
    certain cases. (LP: #1486522)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Aug 2015 21:32:42 +0300

mesa-lts-vivid (10.5.9-2ubuntu1~trusty1) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jul 2015 11:39:06 +0300

mesa (10.5.9-2ubuntu1~vivid1) vivid; urgency=medium

  * Backport to vivid. (LP: #1471213)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jul 2015 11:33:07 +0300

mesa (10.5.9-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Jul 2015 14:02:38 +0300

mesa (10.5.9-2) unstable; urgency=medium

  * i965-do_blit_drawpixels-decode-array-formats.patch: Fix a regression
    since 10.5.5, allow using blit fastpath again.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Jul 2015 13:01:40 +0300

mesa (10.5.9-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.
  * skl-use-1-register-for-uniform-pull.diff dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Jul 2015 10:03:58 +0300

mesa (10.5.9-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Jul 2015 08:56:26 +0300

mesa (10.5.8-1ubuntu2) wily; urgency=medium

  * i965-store-the-gpu-revision.diff,
    i965-refactor-simd16-to-2xsimd8-checks.diff,
    i965-define-i915-param-revision.diff,
    skl-break-down-simd16-3-source-instructions.diff:
    Fix noise in Unity, torcs et al. (LP: #1471213)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Jul 2015 15:08:26 +0300

mesa (10.5.8-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jun 2015 21:34:12 +0300

mesa (10.5.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Jun 2015 18:50:11 +0300

mesa (10.5.7-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes
    - libclc/clang is not in main, drop building mesa-opencl-icd
    - drop building the software rasterizer
    - llvm-3.6 is the default on Ubuntu, use it
    - install GL/EGL libs under a separate dir to not conflict with
      blobs, use alternatives for ldconfig
    - patches:
      egl-platform-mir.patch: Mir EGL platform
      i915-dont-default-to-2.1.patch: revert of i915 forced OpenGL
        2.1 commit
      skl-*: backports for Skylake
  * control: Add libmirclient-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jun 2015 14:33:48 +0300

mesa (10.5.7-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.6, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Jun 2015 11:57:08 +0300

mesa (10.5.5-1) unstable; urgency=medium

  [ Maarten Lankhorst ]
  * New upstream release.
  * Update watch file.

  [ Timo Aaltonen ]
  * libegl1-mesa.symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 May 2015 13:26:49 +0300

mesa (10.5.2-0ubuntu1) vivid; urgency=medium

  * Merge from unreleased experimental git
    - new upstream bugfix release
  * egl-platform-mir.patch: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 30 Mar 2015 15:07:30 +0300

mesa (10.5.0-0ubuntu1) vivid; urgency=medium

  * Merge with unreleased debian-experimental.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 09 Mar 2015 14:10:00 +0100

mesa (10.5.0~rc3-0ubuntu1) vivid; urgency=medium
  
  * Merge with unreleased debian-experimental.
  * Drop skl-implement-wadisable1ddepthstencil.diff, upstreamed.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 02 Mar 2015 11:45:53 +0100

mesa (10.5.0~rc2-0ubuntu1) vivid; urgency=medium
  
  * Merge with unreleased debian-experimental.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 16 Feb 2015 09:35:43 +0100

mesa (10.5.0~rc1-0ubuntu2) vivid; urgency=medium

  * Add a couple of backported fixes for Skylake:
    skl-use-1-register-for-uniform-pull.diff
    skl-use-vec4-datatypes-for-message-header.diff
    skl-implement-wadisable1ddepthstencil.diff

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Feb 2015 08:54:44 +0200

mesa (10.5.0~rc1-0ubuntu1) vivid; urgency=medium

  [ Timo Aaltonen ]
  * Update Mir patch.

  [ Maarten Lankhorst ]
  * Merge from unreleased debian-experimental.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 19 Feb 2015 11:28:53 +0100

mesa (10.4.2-2ubuntu5) vivid; urgency=medium

  * Fix ftbfs from no longer including libmirclient-dev.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 11 Feb 2015 09:21:54 +0100

mesa (10.4.2-2ubuntu4) vivid; urgency=medium

  * debian/control:
    - Change build-dep for mir to mir-client-platform-mesa-dev.
  * debian/patches/egl-platform-mir.patch:
    - Fix potential double free (LP: #1414999).
    - Fix gbm_device leak (LP: #1419704).
    - Fix dri_buffers[front/back] leak (LP: #1419710).
    - Use mir-client-platform-mesa-dev to get Mir build flags.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Mon, 09 Feb 2015 12:35:56 +0200

mesa (10.4.2-2ubuntu3) vivid; urgency=medium

  * egl-platform-mir.patch: Fix memory leak. (LP:#1418486)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Feb 2015 12:12:01 +0200

mesa (10.4.2-2ubuntu2) vivid; urgency=medium

  * Flip the switch to llvm 3.6 with patches backported from upstream.
  * Add upstream workaround for hangs on gen4. (LP: #1388612)

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 29 Jan 2015 13:27:10 +0100

mesa (10.4.2-2ubuntu1) vivid; urgency=medium

  [ Timo Aaltonen ]
  * Merge from Debian experimental.

  [ Maarten Lankhorst ]


=== debian/control ===
Source: mesa-lts-vivid
Section: graphics
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Standards-Version: 3.9.3
Build-Depends:
 debhelper (>= 9),
 quilt (>= 0.40),
 pkg-config,
 libdrm-dev (>= 2.4.56) [!hurd-any],
 libx11-dev,
 x11proto-gl-dev (>= 1.4.14),
 libxxf86vm-dev,
 libexpat1-dev,
 dpkg-dev (>= 1.16.1),
 libxfixes-dev,
 libxdamage-dev,
 libxext-dev,
 libvdpau-dev [linux-any kfreebsd-any],
 autoconf,
 automake,
 libtool,
 x11proto-dri2-dev (>= 2.6),
 x11proto-dri3-dev (>= 1.0),
 x11proto-present-dev (>= 1.0),
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-xfixes0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-sync-dev,
 libxshmfence-dev (>= 1.1),
 python,
 python-mako,
 libudev-dev [linux-any],
 flex,
 bison,
 llvm-3.6-dev (>= 1:3.5-1) [amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf],
 libelf-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf],
 libwayland-dev (>= 1.2.0) [linux-any],
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
Homepage: http://mesa3d.sourceforge.net/

Package: libxatracker2-lts-vivid
Section: libs
Architecture: linux-any 
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
Replaces: libxatracker2
Provides: libxatracker2, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libxatracker2, xorg-renamed-package-lts-utopic,

Package: libxatracker2-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libxatracker2-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- debugging symbols
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package contains the debugging symbols for the xatracker library.
Replaces: libxatracker2-dbg
Provides: libxatracker2-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libxatracker2-dbg, xorg-renamed-package-lts-utopic,

Package: libxatracker-dev-lts-vivid
Section: libdevel
Architecture: linux-any
Depends:
 libxatracker2-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.
Replaces: libxatracker-dev
Provides: libxatracker-dev, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libxatracker-dev, xorg-renamed-package-lts-utopic,

Package: libgbm1-lts-vivid
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri-lts-vivid (= ${binary:Version}),
 libudev1 [linux-any],
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
Replaces:
Provides: xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: xorg-renamed-package-lts-utopic,

Package: libgbm1-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends:
 libgbm1-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- debugging symbols
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package contains the debugging symbols for the GBM library.
Replaces:
Provides: xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: xorg-renamed-package-lts-utopic,

Package: libgbm-dev-lts-vivid
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 libgbm1-lts-vivid (= ${binary:Version}),
 libudev-dev [linux-any],
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.
Replaces: libgbm-dev
Provides: libgbm-dev, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libgbm-dev, xorg-renamed-package-lts-utopic,

Package: libegl1-mesa-lts-vivid
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libudev1 [linux-any],
 libgl1-mesa-dri-lts-vivid (= ${binary:Version}),
Provides:
 libegl1-mesa, xorg-renamed-package, xorg-renamed-package-lts-vivid, libegl1-mesa-drivers,
 libegl1-x11
Conflicts:
 libegl1-mesa, xorg-renamed-package-lts-utopic,,
 libegl1-x11
Replaces:
 libegl1-mesa,
 libegl1-x11
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- runtime
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains modules to interface with the existing system GLX or
 DRI2 drivers to provide OpenGL via EGL.

Package: libegl1-mesa-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libegl1-mesa-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- debugging symbols
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the debugging symbols for the EGL library.
Replaces: libegl1-mesa-dbg
Provides: libegl1-mesa-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libegl1-mesa-dbg, xorg-renamed-package-lts-utopic,

Package: libegl1-mesa-dev-lts-vivid
Section: libdevel
Architecture: any
Depends:
 libegl1-mesa-lts-vivid (= ${binary:Version}),
 libwayland-egl1-mesa-lts-vivid (= ${binary:Version}) [linux-any],
 libdrm-dev (>= 2.4.52) [!hurd-any],
 x11proto-dri2-dev (>= 2.6),
 x11proto-gl-dev (>= 1.4.14),
 libx11-dev,
 libxext-dev,
 libxxf86vm-dev,
 libxdamage-dev,
 libxfixes-dev,
 libxcb-glx0-dev,
 libxcb-dri2-0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-sync-dev,
 libxshmfence-dev,
 libx11-xcb-dev,
 libwayland-dev (>= 1.2.0) [linux-any],
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.
Replaces: libegl1-mesa-dev
Provides: libegl1-mesa-dev, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libegl1-mesa-dev, xorg-renamed-package-lts-utopic,

#Package: libegl1-mesa-drivers
#Section: libs
#Architecture: linux-any kfreebsd-any
#Depends:
# ${misc:Depends},
#Multi-Arch: same
#Description: transitional dummy package
# This is a transitional dummy package, it can be safely removed.

Package: libwayland-egl1-mesa-lts-vivid
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libegl1-mesa-lts-vivid (= ${binary:Version})
Provides:
 libwayland-egl1-mesa, xorg-renamed-package, xorg-renamed-package-lts-vivid,
 libwayland-egl1
Conflicts:
 libwayland-egl1-mesa, xorg-renamed-package-lts-utopic,,
 libwayland-egl1
Replaces:
 libwayland-egl1-mesa,
 libwayland-egl1, libegl1-mesa-drivers  (<< 10.1.0-2)
Breaks: libegl1-mesa-drivers (<< 10.1.0-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: implementation of the Wayland EGL platform -- runtime
 This package contains the mesa implementation of the Wayland EGL platform

Package: libwayland-egl1-mesa-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libwayland-egl1-mesa-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: implementation of the Wayland EGL platform -- debugging symbols
 This package contains the debugging symbols for the mesa implementation of the
 Wayland EGL platform
Replaces: libwayland-egl1-mesa-dbg
Provides: libwayland-egl1-mesa-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libwayland-egl1-mesa-dbg, xorg-renamed-package-lts-utopic,

Package: libgles1-mesa-lts-vivid
Section: libs
Architecture: any
Depends:
 libglapi-mesa-lts-vivid (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 libgles1-mesa, xorg-renamed-package, xorg-renamed-package-lts-vivid,
 libgles1
Conflicts:
 libgles1-mesa, xorg-renamed-package-lts-utopic,,
 libgles1
Replaces:
 libgles1-mesa,
 libgles1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL|ES 1.x API -- runtime
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.

Package: libgles1-mesa-lts-vivid-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libgles1-mesa-lts-vivid (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the OpenGL|ES 1.x API -- debugging symbols
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 This package contains the debugging symbols for the libGLESv1_CM library.
Replaces: libgles1-mesa-dbg
Provides: libgles1-mesa-dbg, xorg-renamed-package, xorg-renamed-package-lts-vivid
Conflicts: libgles1-mesa-dbg, xorg-renamed-package-lts-utopic,

Package: libgles1-mesa-dev-lts-vivid
Section: libdevel
Architecture: any
Depends:
 libgles1-mesa-lts-vivid (= ${binary:Version}),
 libegl1-mesa-dev-lts-vivid,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the OpenGL|ES 1.x API -- development files
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 This package provides a development environment for building programs using
 the OpenGL|ES 1.x APIs.
Replaces: libgles1-mesa-dev

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_DIR      ?= $(CURDIR)/build
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

ifeq (,$(filter $(DEB_HOST_ARCH), armhf))
buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND=-Wall DEB_CXXFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
else
# Workaround for a variant of LP: #725126
buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" DEB_CXXFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" dpkg-buildflags --export=configure)
endif

buildflags-i686 = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -march=i686" DEB_CXXFLAGS_MAINT_APPEND="-Wall -march=i686" dpkg-buildflags --export=configure)

# keep a list of files we don't install (yet), but since it's a bit
# large, use an external file:
include debian/not-installed

# build the following configurations by default
CONFIGS = dri

STAMP_DIR = debian/stamp
STAMP = $(STAMP_DIR)/$(DEB_BUILD_GNU_TYPE)
BUILD_STAMPS = $(addprefix $(STAMP)-build-, $(CONFIGS))

QUILT_STAMPFN = $(STAMP_DIR)/patch
include /usr/share/quilt/quilt.make

DRI_DRIVERS =
GALLIUM_DRIVERS =
EGL_DISPLAYS = x11

confflags_DRI3 = --disable-dri3

# hurd doesn't do direct rendering
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	confflags_DIRECT_RENDERING = --disable-driglx-direct
	DRI_DRIVERS = swrast
else
  ifeq ($(DEB_HOST_ARCH_OS), linux)
	confflags_DRI3 = --enable-dri3
# Gallium drivers require libdrm-{nouveau,radeon}, only available on Linux
	GALLIUM_DRIVERS += nouveau svga

	# Freedreno requires arm in addition
	ifneq (,$(filter arm,$(DEB_HOST_ARCH_CPU)))
		GALLIUM_DRIVERS += freedreno
	endif

	# svga needs xa state tracker
	confflags_GALLIUM += --enable-xa

# Non-Linux ports also lack *_CLOEXEC and epoll, so wayland isn't ready yet:
	EGL_DISPLAYS += wayland

# Mir isn't built on AArch64 and PPC
    ifeq (,$(filter $(DEB_HOST_ARCH),arm64 armel powerpc ppc64 ppc64el))
    endif

    ifeq (,$(filter $(DEB_HOST_ARCH), s390 s390x))
	DRI_DRIVERS += nouveau
    endif
  endif

	EGL_DISPLAYS += drm

  # Build intel drivers on archs where libdrm-intel is installed
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
	DRI_DRIVERS += i915 i965
  endif

  # Do not build llvmpipe for armhf, it regresses compared to the classic swrast.
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-i386))
	GALLIUM_DRIVERS += swrast
  else
	DRI_DRIVERS += swrast
  endif

  ifeq (,$(filter $(DEB_HOST_ARCH), s390 s390x))
    DRI_DRIVERS += r200 radeon
    GALLIUM_DRIVERS += r600 r300
  endif

  # LLVM is required for r300g, radeonsi and llvmpipe:
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-i386 armhf))
	GALLIUM_DRIVERS += radeonsi
	confflags_GALLIUM += --enable-gallium-llvm
	confflags_GALLIUM += ac_cv_path_LLVM_CONFIG=llvm-config-3.6
  endif

	confflags_DIRECT_RENDERING = --enable-driglx-direct
	confflags_GALLIUM += --enable-vdpau
endif
confflags_EGL = --with-egl-platforms="$(EGL_DISPLAYS)"
confflags_GLES = --enable-gles1 --enable-gles2
confflags_GALLIUM += --with-gallium-drivers="$(GALLIUM_DRIVERS)"

confflags-dri = \
	--enable-dri \
	--with-dri-drivers="$(DRI_DRIVERS)" \
	--with-dri-driverdir=/usr/lib/$(DEB_HOST_MULTIARCH)/dri \
	--with-dri-searchpath='/usr/lib/$(DEB_HOST_MULTIARCH)/dri:\$$$${ORIGIN}/dri:/usr/lib/dri' \
	--disable-osmesa \
	--enable-glx-tls \
	--enable-shared-glapi \
	--enable-texture-float \
	--disable-xvmc \
	--disable-omx \
	$(confflags_DIRECT_RENDERING) \
	$(confflags_DRI3) \
	$(confflags_EGL) \
	$(confflags_GALLIUM) \
	$(confflags_GLES) \
	$(buildflags)

configure: $(QUILT_STAMPFN) configure.ac
	autoreconf -vfi

# list the configurations that will built
configs:
	@echo Building the following configurations: $(CONFIGS)

$(STAMP_DIR)/stamp:
	dh_testdir
	mkdir -p $(STAMP_DIR)
	>$@

$(QUILT_STAMPFN): $(STAMP_DIR)/stamp

build: build-stamp

build-stamp: $(BUILD_STAMPS)
	>$@

$(STAMP)-build-%: configure
	dh_testdir

	mkdir -p $(DEB_BUILD_DIR)/$*

	cd $(DEB_BUILD_DIR)/$* && \
	../../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info --sysconfdir=/etc \
	             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	             --localstatedir=/var --disable-silent-rules \
				 $(confflags) $(confflags-$*)
	cd $(DEB_BUILD_DIR)/$* && $(MAKE)
	>$@

install: build
	# Add here commands to install the package into debian/tmp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	set -e; for config in $(filter-out dri, $(CONFIGS)); do \
		$(MAKE) -C $(DEB_BUILD_DIR)/$$config DESTDIR=$(CURDIR)/debian/tmp install; \
	done
	$(MAKE) -C $(DEB_BUILD_DIR)/dri DESTDIR=$(CURDIR)/debian/tmp/dri install
	for file in debian/*.in; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
			$${file} > $${file%%.in}; \
	done

clean: unpatch
	dh_testdir
	rm -rf .pc

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf build
	rm -rf configure bin/config.guess bin/config.sub config.h.in
	rm -rf $$(find -name Makefile.in)
	rm -rf aclocal.m4 bin/missing bin/depcomp install-sh bin/ltmain.sh
	rm -f bin/ar-lib bin/compile bin/ylwrap bin/install-sh
	rm -rf $(STAMP_DIR)
	for file in debian/*.in; do rm -f $${file%%.in}; done
	rm -f src/glsl/builtins/tools/texture_builtins.pyc
	rm -f src/mapi/glapi/gen/*.pyc
	rm -f src/mesa/main/*.pyc
	rm -f src/gallium/auxiliary/util/*.pyc
	rm -f m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4

	dh_clean

# Build architecture-independent files here.
binary-indep: install

allpkg = $(shell dh_listpackages -s)
dbgpkg = $(filter %-dbg, $(allpkg))
otherpkg = $(filter-out %-dbg, $(allpkg))
havedbgpkg = $(patsubst %-dbg,%,$(dbgpkg))
nodbgpkg = $(filter-out $(havedbgpkg),$(otherpkg))

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installchangelogs -pmesa-common-dev-lts-vivid
	dh_installdocs -s
	dh_installexamples -s

	# Also get rid of other files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
	# Files only in git, not in tarballs, OK to use rm -f here:
	set -e; for file in $(NOT_INSTALLED_EITHER); do rm -f debian/tmp/$$file; done
	# purge .la files
	find debian/tmp/ -name '*.la' -exec rm '{}' ';'

	# Copy the hardlinked *_dri.so correctly.
	install -m755 -d debian/libgl1-mesa-dri-lts-vivid/usr/lib/${DEB_HOST_MULTIARCH}/dri/
	mv debian/tmp/dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/*_dri.so \
	   debian/libgl1-mesa-dri-lts-vivid/usr/lib/${DEB_HOST_MULTIARCH}/dri/

  ifneq ($(DEB_HOST_ARCH_OS), hurd)
	# Copy the hardlinked vdpau drivers correctly.
	install -m755 -d debian/mesa-vdpau-drivers-lts-vivid/usr/lib/${DEB_HOST_MULTIARCH}/vdpau/
	mv debian/tmp/dri/usr/lib/${DEB_HOST_MULTIARCH}/vdpau/libvdpau*.so* \
	   debian/mesa-vdpau-drivers-lts-vivid/usr/lib/${DEB_HOST_MULTIARCH}/vdpau/
  endif

	dh_install -s --list-missing

	# Create an ld.so.conf which says where to find libGL from Mesa

=== debian/watch ===
#git=git://anongit.freedesktop.org/mesa/mesa
version=3
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+repack//,pgpsigurlmangle=s/$/.sig/,pasv" \
ftp://freedesktop.org/pub/mesa/([\d\.]*)/ mesa-(.*)\.tar\.gz
